WordPressサイトの管理画面にログインできない!

だいぶ以前に作ったWordPressサイトに久しぶりにログインしようとしたら
管理画面にログインできません

■管理画面にログインできないサイト
 グリゲー&モバゲー日誌
  かつて、自分が作ったサイトの中では一番アクセスがあったこともあるサイト
 映画や動画の感想ブログ(暫定タイトル)
  現在は、映画や動画の感想ブログに移行したサイト
  もう削除してもいいはずですが、捨てきれていません(-_-;)

 ※サイトはロリポップレンタルサーバーを利用
  一つのデータベースで複数のWordPressサイトを作っています。
  ある時期からは、サブドメインを作って、そちらでWordPressサイトを作成しました。

■ログインできないときに表示されたエラーメッセージ
まずはじめに、以下のエラーメッセージが表示されました。

エラー: Cookie がブロックされているか、お使いのブラウザーで未対応のようです。WordPress を使うには Cookie を有効化する必要があります。

Cookieは当然有効になっていて、Cookieの削除やブラウザの再起動、PC再起動、
ブラウザを変えたり、端末を変えたりしても同様でした。
ちなみに、上記「ログインできないサイト」以外のサイト
(この「パソコン小技・便利技備忘録 Season2」など)は問題なくログインできていました。

そこで、もう仕方ないので、PHPのバージョンを上げちゃうことにしました(-_-;)
もともとは5.xくらいだったのを7.3とか7.4にしました。

すると!

WordPressサイトの管理画面にログインできないどころか、
WordPressサイトが表示されなくなりましたorz
PHPのバージョンを変えたときにはありがちですよね…

ロリポップのお問い合わせ窓口に問い合わせたら、
PHPのバージョンを元に戻すことを提案されました。
(ロリポップのユーザー専用画面ではPHPのバージョンを5.xに戻せないので、
別途、ロリポップに依頼をすれば元に戻せるということでした)

その提案に乗り、PHPを5.6だかにしたら、WordPressサイトは表示されましたが、
管理画面にログインできないのは同じ。
一周回って元通り、な感じorz

かと思いきや!、管理画面にログインできなかった2つのWordPressサイトのうち、
1つはログインできてしまいました(苦笑)

あと、サイトもう1つです。
ネット上などで調べていたら、どうやら、ユーザーがいない場合も
同じようなメッセージが出るらしい。
ということで、phpMyAdminでユーザーを見てみたら、
 wp_users
 wp_usermeta

というテーブルがなくなってます!

phpMyAdminでwp_users にユーザーを追加すればログインできそうだったのに。

テーブル操作など基本的にしないので(わからないし)、
上記のテーブルが勝手に消されることがあるのか、
ロリポップのお問い合わせ窓口に聞いてみたら、そのようなことはないとのこと。
また、テーブル数の上限もないとのことでした…
(ちなみに、一つのデータベースの中にWordPressサイトを6個くらい
作っちゃってるんですよね(-_-;))

ネット上を調べてみても、wp_usersやwp_usermetaというテーブルは
WordPressサイトをインストールしたら自動でできるテーブルって記載があるし、
どうしたものか…
で、にっちもさっちもいかなくなってきたので、もう

手動で追加するしかないな!

ということで、手動で追加してみました。


phpMyAdminにログインしたら、該当のデータベースを開いて
「NEW」ボタンを押下したら
テーブルが追加できました。
設定内容は、ほかのWordPressサイトに倣って設定しました。

テーブルを追加したあと、テーブルにデータを入れました。
これは、ほかのWordPressサイトのwp_users、wp_usermetaを
CSVでエクスポートものをインポートしちゃいました。
特にwp_usersのuser_passとかuser_activation_key部分が
MD5とかでちょっとめんどそうだったので。

そしてwp_usermetaのmeta_keyで接頭辞が異なっている箇所などを調整したところ!

ログインできるようになりました!!

———————
ちなみに、初め、横着して、wp_usersのテーブルだけ追加して、
wp_usermetaを追加しなかったら、エラーが変わり、
「このページにアクセスするための十分なアクセス権がありません」
となりました。


———————

WordPressサイトにログインしてみたら、WordPressのバージョンがなんと、
2.9.2 でした(-_-;)

よくわからないプラグインもいました。

ちなみにアクセス解析に使っていたslimstatは下記のエラー。

重大なエラーを引き起こしたため、プラグインを有効化できませんでした。
Fatal error: Cannot declare class wp_slimstat, because the name is already in use in /home/users/2/raindrop.jp-jam/web/wordpress/wp-content/plugins/wp-slimstat-ex/wp-slimstat.php on line 36

とりあえず、プラグインは全部無効にして、念のためバックアップも取って、
WordPressサイトのダッシュボードで更新できるものは更新して、
PHPのバージョンを上げたところ、今のところ、特に問題なくサイトも表示され、
WordPressの管理画面にもログインできる状態です。

めでたしめでたし。

<span class="entry-utility-prep entry-utility-prep-cat-links">Posted in</span> WordPress | <span class="entry-utility-prep entry-utility-prep-tag-links">Tagged</span> , , , , | Leave a comment